Pregunta sobre Custom Fields and Taxonomies Toolset Types - Custom Post Types de Wordpress:

problema class-wp-installer.php

Un usuario preguntó 👇

Tengo un problema. Cada vez que voy a «Plugins» los fines de semana. Obtengo una pantalla completa del siguiente código: He tenido WP 4.9.4 y Tooset Types v2.2.22 por un tiempo.

disponible para foreach () en /home/users/2/lolipop.jp-81253b0411aa7d99/web/mushashugyo/wp-content/plugins/types/vendor/otgs/installer/includes/class-wp-installer.php en la línea 2197

Advertencia: Se proporcionó un argumento no válido para foreach () en /home/users/2/lolipop.jp-81253b0411aa7d99/web/mushashugyo/wp-content/plugins/types/vendor/otgs/installer/includes/class-wp- installer.php en línea 2197

Advertencia: Se proporcionó un argumento no válido para foreach () en /home/users/2/lolipop.jp-81253b0411aa7d99/web/mushashugyo/wp-content/plugins/types/vendor/otgs/installer/includes/class-wp- installer.php en línea 2197

Advertencia: Se proporcionó un argumento no válido para foreach () en /home/users/2/lolipop.jp-81253b0411aa7d99/web/mushashugyo/wp-content/plugins/types/vendor/otgs/installer/includes/class-wp- installer.php en línea 2197

Advertencia: Se proporcionó un argumento no válido para foreach () en /home/users/2/lolipop.jp-81253b0411aa7d99/web/mushashugyo/wp-content/plugins/types/vendor/otgs/installer/includes/class-wp- installer.php en línea 2197

Advertencia: Se proporcionó un argumento no válido para foreach () en /home/users/2/lolipop.jp-81253b0411aa7d99/web/mushashugyo/wp-content/plugins/types/vendor/otgs/installer/includes/class-wp- installer.php en línea 2197

Este tema fue modificado hace 2 años, 11 meses por.

(@bedas)

Hace 2 años, 10 meses

Supongo que he conocido el error desde que lo arreglamos hace unos meses. Pero, al revisar el código, vi que todavía hay algunas instancias de código que esperan un conjunto válido de plugins válidos (como de costumbre).

Lo informé y pedí solucionar el problema lo antes posible.

(@bedas)

Hace 2 años, 10 meses

Hola, @takahiromtd Tengo un arreglo para este problema pero necesito una muestra para probarlo.

Por favor puedes venir a este foroy abre un nuevo ticket detrás de ti registrado aquí?

Enlace al ticket aquí. Yo me ocuparé del resto del nuevo ticket que abras.

El problema aquí es que en WordPress no puedo intercambiar datos privados como Site Copy o similares contigo.

(@bedas)

Hace 2 años, 10 meses

Es importante que lo arreglemos.

¿Ha publicado un ticket en nuestros foros? ¿Puedes conectarte conmigo?

¡Gracias!

(@bedas)

Hace 2 años, 10 meses

Prefiero hacer una pregunta, cualquier persona con experiencia en este tema, infórmenos esto en los foros vinculados anteriormente, con los paquetes requeridos.

No vamos a publicar una «solución» para esto porque no podemos replicar y controlar de manera segura este problema y su solución.

Si podemos encontrar la situación real de este problema, lo resolveremos lo antes posible.

Gracias por comprender este problema y ayudarnos.

(@oskarlin)

Hace 2 años, 10 meses

¡Puedo hacerlo! Me sale el mismo error.

(@bedas)

Hace 2 años, 10 meses

Por favor, cariño, necesitamos un sitio para replicar lo que ves.

No podemos resolver esta cuestión sin repetir los pasos.

Por favor publique en nuestro foro vinculado arriba y también infórmeme aquí con el enlace.

(@aphoenix)

Hace 2 años, 10 meses

Hola @bedas: yo también tengo esta pregunta y me complacerá brindarle información. Me registré en sus foros y encontré un hilo relevante, pero no puedo publicar una respuesta.

Daré un desglose aquí de lo que estoy experimentando. Igual que el anterior, recibo una gran cantidad de alertas de php.

Encuentro los problemas en dos entornos:

PHP 5.5.38-1 en debian

+---------------------------------------+----------+-----------+----------+
| name                                  | status   | update    | version  |
+---------------------------------------+----------+-----------+----------+
| advanced-custom-fields                | active   | available | 4.4.11   |
| all-in-one-wp-migration               | active   | available | 6.63     |
| breadcrumb-navxt                      | active   | none      | 5.2.2    |
| column-shortcodes                     | active   | available | 0.6.9    |
| edit-flow                             | active   | none      | 0.8      |
| filter-custom-fields-taxonomies-light | inactive | none      | 1.05     |
| hello                                 | inactive | none      | 1.6      |
| redirection                           | active   | none      | 2.3.16   |
| regenerate-thumbnails                 | active   | none      | 2.2.4    |
| relevanssi-premium                    | active   | none      | 1.15.2.1 |
| tablepress                            | active   | none      | 1.6      |
| tinymce-advanced                      | active   | none      | 4.1.9    |
| types                                 | active   | none      | 2.2.22   |
| post-type-archive-links               | active   | none      | 1.3.1    |
+---------------------------------------+----------+-----------+----------+

PHP versión 7.0.29 en la tierra del sitio

+---------------------------------------+----------+--------+-------------+
| name                                  | status   | update | version     |
+---------------------------------------+----------+--------+-------------+
| advanced-custom-fields                | active   | none   | 4.4.12      |
| breadcrumb-navxt                      | active   | none   | 6.0.4       |
| column-shortcodes                     | active   | none   | 1.0         |
| edit-flow                             | active   | none   | 0.8.2       |
| filter-custom-fields-taxonomies-light | inactive | none   | 1.05        |
| redirection                           | active   | none   | 3.2         |
| regenerate-thumbnails                 | active   | none   | 3.0.2       |
| relevanssi-premium                    | active   | none   | 1.15.2.1    |
| S3-Uploads                            | active   | none   | 2.0.0-beta2 |
| sg-cachepress                         | active   | none   | 4.0.4       |
| tablepress                            | active   | none   | 1.9         |
| tinymce-advanced                      | active   | none   | 4.6.7       |
| types                                 | active   | none   | 2.2.22      |
| updraftplus                           | inactive | none   | 2.14.4.22   |
| post-type-archive-links               | active   | none   | 1.3.1       |
+---------------------------------------+----------+--------+-------------+

Esta respuesta fue modificada hace 2 años, 10 meses por.

(@bedas)

Hace 2 años, 10 meses

Hola @aphoenix

Abra un nuevo hilo en el foro que registró.
https://wp-types.com/forums/forum/general-and-pre-sales-questions/ > Abra un nuevo ticket de soporte.

Ya puede agregar la copia de su sitio realizada con Duplicator Plugin.
https://wp-types.com/faq/provide-supporters-copy-site/

Por favor, envíenos una copia del sitio, si es posible, en caso de que los errores no ocurran y guíenos sobre lo que debemos hacer para encontrar los errores.

Una vez que lo tengamos, finalmente podremos resolver este viejo problema.

¡Gracias!

PD: Lo vincularé a su hilo cuando esté listo.

(@bedas)

Hace 2 años, 10 meses

No he recibido ningún informe.

¿Ha informado de esto? ¿Puedes conectarme al hilo?

(@victoroficio)

Hace 2 años, 10 meses

Tengo un problema similar: actualizado para foreach () en /home/patio147/public_html/wp-content/plugins/types/plus/installer/includes/installer.class.php en línea 1585.

(@victoroficio)

Hace 2 años, 10 meses

si desactivo el plugin, el error no ocurrirá

(@bedas)

Hace 2 años, 10 meses

Hola @takahiromtd, @oskarlin, @aphoenix, @victoroficio

Vaya al foro gratuito, regístrese gratis Aquíy abra un nuevo ticket Aquí.

Prepare una copia de sus instalaciones con estas instrucciones:
https://wp-types.com/faq/provide-supporters-copy-site/

No puedo ayudarte en este foro. No podemos replicar esta pregunta.

(@victoroficio)

Hace 2 años, 9 meses

el enlace de un programa no funciona

(@bedas)

Hace 2 años, 9 meses

Mientras tanto, tenemos los detalles necesarios. El Foro de Variedades Libres está suspendido.

Todavía puedes seguirlo aquí:
https://toolset.com/forums/topic/toolset-types-v-2-2-23-throws-lots-of-warning-invalid-argument-supplied/
https://toolset.com/forums/topic/i-get-many-errors-with-my-types-plugin-in-wp-admin/

(@bedas)

Hace 2 años, 9 meses

Esto ya no parece estar sucediendo en los últimos tipos de conjuntos de herramientas RC, una versión que no puede encontrar aquí en este foro, desafortunadamente.

Si no es usuario de Payment Toolset, hágamelo saber aquí, para que al final pueda encontrar una solución para la versión gratuita.

No dude en mencionarlo aquí en caso de que el problema persista con la versión de Tipos que puede descargar aquí.

Con la versión RC que puede descargar en el conjunto de herramientas, como usuario pago, el problema debe resolverse.

¿Solucionó tu problema??

0 / 0

Deja una respuesta 0

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *